import getDecorators from "inversify-inject-decorators";
import { container } from "../../../plugins/core";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container);
@ccclass
export class ListBetOptionComponent extends cc.Component
{
    private isShow: boolean = false;

    @property(cc.Node)
    private nodeContainer: cc.Node = null;

    protected onLoad(): void
    {
        this.hide();
    }

    private show(): void
    {
        if (this.isShow == true) return;
        this.isShow = true;
        this.nodeContainer.active = true;
    }

    private hide(): void
    {
        if (this.isShow == false) return;
        this.isShow = false;
        this.nodeContainer.active = false;
    }
}