import RequestJoinRoom from "../system/request-join-room";
import RoomComponent from "./room-component";

const { ccclass, property } = cc._decorator;

@ccclass
export default class RoomButtonOnClick extends cc.Component
{
    @property(RoomComponent)
    private roomComponent: RoomComponent = null;
    @property(RequestJoinRoom)
    private requestJoinRoom: RequestJoinRoom = null;

    public onClick(): void
    {
        this.requestJoinRoom.request(this.roomComponent.getIndex());
    }
}
