import getDecorators from "inversify-inject-decorators";
import { BetController, container, CONTROLLER } from "../../../plugins/core";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);


@ccclass
export class RequestPlaceBet extends cc.Component
{
    @lazyInject(CONTROLLER.Bet)
    private betController: BetController;

    public request(betPositionIndex: number): void
    {
        this.betController.placeBet(betPositionIndex);
    }
}
