import getDecorators from "inversify-inject-decorators";
import { Chip } from "../../../chip/scripts/chip";
import { container } from "../../../plugins/core";
import { RequestChangeBetOption } from "../system/request-change-bet-option";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container);

@ccclass
export default class BetOptionOnClick extends cc.Component
{
    @property(RequestChangeBetOption)
    private requestChangeBetOption: RequestChangeBetOption = null;
    @property(Chip)
    private chip: Chip = null;

    private onClick(): void
    {
        this.requestChangeBetOption.request(this.chip.getChipValue());
    }
}
